Package: org.codehaus.groovy.ast.expr

## [Java] Class ConstructorCallExpression

- org.codehaus.groovy.ast.expr.ConstructorCallExpression

- All Implemented Interfaces and Traits:
    MethodCall

      public class ConstructorCallExpression
      extends Expression

  A constructor call

  Authors:
    James Strachan
    Jochen Theodorou

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `boolean` | `usingAnonymousInnerClass`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ConstructorCallExpression (ClassNode type, Expression arguments)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Expression` | `getArguments()`
    `` | `String` | `getMethodAsString()`
    `` | `ASTNode` | `getReceiver()`
    `` | `String` | `getText()`
    `` | `boolean` | `isSpecialCall()`
    `` | `boolean` | `isSuperCall()`
    `` | `boolean` | `isThisCall()`
    `` | `boolean` | `isUsingAnonymousInnerClass()`
    `` | `void` | `setUsingAnonymousInnerClass(boolean usage)`
    `` | `String` | `toString()`
    `` | `Expression` | `transformExpression(ExpressionTransformer transformer)`
    `` | `void` | `visit(GroovyCodeVisitor visitor)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Expression` | `getType, setType, transformExpression, transformExpressions, transformExpressions`
    `class AnnotatedNode` | `addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`
    `class ASTNode` | `copyNodeMetaData, equals, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getMetaDataMap, getNodeMetaData, getNodeMetaData, getText, hashCode, putNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition, visit`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### boolean usingAnonymousInnerClass

  - ### Constructor Detail

    - #### public ConstructorCallExpression(ClassNode type, Expression arguments)

  - ### Method Detail

    - #### public Expression getArguments()

    - #### public String getMethodAsString()

    - #### public ASTNode getReceiver()

    - #### public String getText()

    - #### public boolean isSpecialCall()

    - #### public boolean isSuperCall()

    - #### public boolean isThisCall()

    - #### public boolean isUsingAnonymousInnerClass()

    - #### public void setUsingAnonymousInnerClass(boolean usage)

    - #### public String toString()

    - #### public Expression transformExpression(ExpressionTransformer transformer)

    - #### public void visit(GroovyCodeVisitor visitor)